Template variable is deprecated errors
Status: Resolved   

Priority: Normal   

Assignee: Og Maciel   

Category: Installer   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

While installing katello 'community' nighty today I noticed a few errors related to how certain variables were being refered to in a

couple of templates:

Variable access via 'fqdn' is deprecated. Use '@fqdn' instead.

template[/usr/share/katello-installer/modules/certs/templates/rhsm-katello-reconfigure.erb]:19

Variable access via 'fqdn' is deprecated. Use '@fqdn' instead.

template[/usr/share/katello-installer/modules/pulp/templates/etc/pulp/server.conf.erb]:40

Variable access via 'processorcount' is deprecated. Use

'@processorcount' instead.

template[/usr/share/katello-installer/modules/pulp/templates/etc/pulp/server.conf.erb]:282

History

#1 - 04/20/2014 04:03 PM - Og Maciel

Please see:

https://github.com/Katello/puppet-pulp/pull/13

https://github.com/Katello/puppet-certs/pull/11

#2 - 04/21/2014 04:16 PM - Og Maciel

- Status changed from New to Resolved

Pull requests are merged, so closing it.

#3 - 06/06/2014 01:08 PM - Eric Helms

- Triaged changed from No to Yes

#4 - 08/22/2014 08:04 AM - Eric Helms

- translation missing: en.field_release set to 13
